<div class="level_indicator">
    <mat-form-field>
        <input matInput [readonly]="true">
        <app-level-monitor></app-level-monitor>
    </mat-form-field>
</div>
<div class="page_layout">
    <mat-form-field>
        <div class="d1">
            <h2><u>Brew Discription</u></h2>
            <div class="d2">
                <input matInput readonly="true" class="dates" [ngModel]="getKegDate()">
                <input matInput readonly="true" class="dates" [ngModel]="getMashDate()">
                <button mat-raised-button class="edit_button" (click)="EditDialog()">Edit Batch</button>
            </div>
        </div>
        <ng-container *ngIf="selected_keg != undefined">
            <input matInput  readonly="true" [(ngModel)]="selected_keg.brew_description">
        </ng-container>
    </mat-form-field>
    <mat-form-field>
        <div class="d3">
            <h2><u>Current Batch</u></h2>
            <button mat-raised-button class="batch_button">Batch Logs</button>
        </div>
        <input matInput readonly="true">
        <canvas id="canvas"></canvas>
    </mat-form-field>
</div>

<app-bottom-bar></app-bottom-bar>
